%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name googleapis-common-protos
%global srcname googleapis_common_protos
%global pypi_version 1.66.0
%bcond_without tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.3%{?dist}
Summary:        Common protobufs used in Google APIs

License:        Apache-2.0
URL:            https://github.com/googleapis/python-api-common-protos
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pytest
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%if %{with tests}
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pytest
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-protobuf
%endif

%description
Google APIs common protos - googleapis-common-protos contains the python
classes generated from the common protos in the googleapis/googleapis <
repository.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:  %{?scl_prefix}python%{python3_pkgversion}-grpcio
Requires:  %{?scl_prefix}python%{python3_pkgversion}-protobuf
%description -n python%{python3_pkgversion}-%{pypi_name}
Google APIs common protos - googleapis-common-protos contains the python
classes generated from the common protos in the googleapis/googleapis <
repository.


%prep
%autosetup -n %{srcname}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
%{pytest}
%endif


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/google/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog

* Thu Feb 06 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.66.0-1.0.3
- Add new library location
- Removes outdated patch
- Add tests

* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 1.66.0-1.0.2
- Update to 1.66.0

* Wed Aug 14 2024 Craig Guiller <craig.guiller@oracle.com> - 1.63.0-1.0.1
- Add rpm-macros

* Wed Jul 31 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.63.0-1
- Initial package.
